Bug 85507 - cp -a hangs ( ps shows wait_on_buffer)
cp -a hangs ( ps shows wait_on_buffer)
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-03-03 16:05 EST by Elie Wildman
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Elie Wildman 2003-03-03 16:05:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:0.9.4)
Gecko/20011128 Netscape6/6.2.1

Description of problem:
Maxtor 13g 91360U4 udma66

Partitioned disk into 4. 1 swap and 3 ext. Mounted under /new-disk as /home,/boot,/.
I am having problems transfering my file system from disk 1 (hdb udma100) to
disk 2 (hdc). cp -a hangs under apparently random conditions. A look
at ps shows that cp in waiting_on_buffer and other processes such as
kupdated are in "D" state. The hard drive light stays on and,
obviously, any other commands issued after that, that need to write to
hdc hang. The rest of the system runs fine.

No errors reported in logs. Kernel seems to identify the drive correctly.

I reformat disk2's partitions to be ext2 instead of ext3. This time
copying worked perfectly until /var. cp hangs again but this
time with get_request in ps. Entire system crashed once.

Even in cp -a's that were successful I notice that there were files missing.

Version-Release number of selected component (if applicable):

Drive tested on windows 98 machine with no problems.

How reproducible:

Steps to Reproduce:
1.mount partitions
2.cp -a /home /new-disk/

Actual Results:  hangs... ps shows wait_on_buffer

Expected Results:  complete copy

Additional info:

kernel 2.4.18-14
ide0 master 13g Western Dig
slave 60 gig Western D.
ide1 maxtor 13 gig
gigabit mother board 6vxc7-4x
chipset via vt82c686b
IDE UMDA100 controlller on pci00:07.1
800 mhz celeron 192mb mem
Comment 1 Arjan van de Ven 2003-03-03 17:04:30 EST
could you try the erratum kernel ?
Comment 2 Elie Wildman 2003-03-04 14:46:49 EST
upgraded kernel to 2.4.18-24 and problem still present.
Comment 3 Arjan van de Ven 2003-03-04 14:48:40 EST
does it still happen if you disable dma?
(hdparm -d 0 /dev/hda etc)
Comment 4 Elie Wildman 2003-03-04 17:57:11 EST
Also started to receive "no space on device error" when there was in fact plenty
of space. Could not reproduce on reboot.

turned off dma for the current drive /dev/hdc (but it causes extreme general
slowness to system during data transfer). After much copying (cp -a /usr
/new-disk) the following appeard on the screen and in /var/log/message:

hdc: irq timeout: status=0xd0 { Busy }
ide1: reset: success
The data transfer did appear successful. Couuld not reproduce...
Comment 5 Bugzilla owner 2004-09-30 11:40:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.